Bug 140122 - [maintainer] Allow databases/mytop to co-exist with p5-DBD-mysqlNN ports
Summary: [maintainer] Allow databases/mytop to co-exist with p5-DBD-mysqlNN ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-30 20:30 UTC by Matthew Seaman
Modified: 2009-11-04 11:00 UTC (History)
0 users

See Also:


Attachments
mytop.diff (615 bytes, patch)
2009-10-30 20:30 UTC, Matthew Seaman
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Seaman 2009-10-30 20:30:02 UTC
Bring the mytop port into line with most other ports that depend on
DBD::mysql.

It's been a long -standing annoyance that the mytop port conflicts
with the mysql version specific DBD modules p5-DBD-mysqlNN, given that
it will work happily with any of them.  This allows mytop to fulfil
its dependency through any port that provides
${SITE_PERL}/${PERL_ARCH}/DBD/mysql.pm, rather than checking that one
particular port is installed.

As DBD-mysql version 2.x was released in 2002, checking for a version >=1
is pretty redundant nowadays.
Comment 1 Martin Wilke freebsd_committer 2009-11-02 10:22:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 dfilter service freebsd_committer 2009-11-04 10:55:09 UTC
miwi        2009-11-04 10:55:01 UTC

  FreeBSD ports repository

  Modified files:
    databases/mytop      Makefile 
  Log:
  -  Allow databases/mytop to co-exist with p5-DBD-mysqlNN
  
  PR:             140122
  Submitted by:   Matthew Seaman <m.seaman@infracaninophile.co.uk> (maintainer)
  
  Revision  Changes    Path
  1.23      +1 -1      ports/databases/mytop/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 3 Martin Wilke freebsd_committer 2009-11-04 10:55:13 UTC
State Changed
From-To: open->closed

Committed. Thanks!